Jump to content

Recommended Posts

Hi All,

I run Linux Mint 18 and have been playing 0AD for some time now. After the new release update the game crashes on startup. The message that pops up now is as follows:

Assertion failed: "exts"
Location: ogl.cpp:480 (ogl_Init)

Call stack:

(0x9d141e) /usr/games/pyrogenesis() [0x9d141e]
(0x9782e9) /usr/games/pyrogenesis() [0x9782e9]
(0x97a232) /usr/games/pyrogenesis() [0x97a232]
(0x970a16) /usr/games/pyrogenesis() [0x970a16]
(0x5eae59) /usr/games/pyrogenesis() [0x5eae59]
(0x692ee5) /usr/games/pyrogenesis() [0x692ee5]
(0x432ae9) /usr/games/pyrogenesis() [0x432ae9]
(0x4225b7) /usr/games/pyrogenesis() [0x4225b7]
(0x7f1d00fac830) /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf0) [0x7f1d00fac830]
(0x430529) /usr/games/pyrogenesis() [0x430529]

errno = 0 (Try again later)
OS error = ?

 

Could you please help me resolve this.

kind regards

Share this post


Link to post
Share on other sites

Hi, where would I find the crashlog?

System Info:

OS                                  Linux Mint 18 Cinnamon 64-bit

Cinnamon Version          3.0.7

Linux Kernel                   4.4.0-87-generic

Processor                       AMD FX(tm)-8150 Eight Core Processor x 4

Memory                          8 Gb

Graphics Card                NVIDIA GF116 [GeForce GTX 550 Ti]

 

#lspci -vmk | grep -A 8 -B 2 VGA

Device:    01:00.0
Class:    VGA compatible controller
Vendor:    NVIDIA Corporation
Device:    GF116 [GeForce GTX 550 Ti]
Rev:    a1
Driver:    nvidia
Module:    nvidiafb
Module:    nouveau
Module:    nvidia_drm
Module:    nvidia

 

Share this post


Link to post
Share on other sites

Hi vladislavbelov,

Thank you for your assist. I found the problem (which I should have noted in the beginning) In the error output it says "Location: ogl.cpp:480 (ogl_Init)"

ogl is openGL and the problem is it cant initiate the graphics. I looked around and found my graphics drivers were not loaded. I think a system update might not have added the modules into the new kernel. So if anyone else sees this you can check you graphics drivers first.

Thank you

  • Like 2

Share this post


Link to post
Share on other sites
20 hours ago, chomps said:

Hi vladislavbelov,

Thank you for your assist. I found the problem (which I should have noted in the beginning) In the error output it says "Location: ogl.cpp:480 (ogl_Init)"

ogl is openGL and the problem is it cant initiate the graphics. I looked around and found my graphics drivers were not loaded. I think a system update might not have added the modules into the new kernel. So if anyone else sees this you can check you graphics drivers first.

Thank you

You're always welcome. So, I think your problem is solved, I'm glad to hear it.

  • Like 1

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×